var EJA_Login = {
	login : function() {
		var localisation = document.getElementById("localisation");
		var status = document.getElementById("loginStatus");
		status.value = localisation.getString("loginAuthentication");
		var contents = [["ltmpl", "cm_googlemail"],
						["ltmplcache", 2],
						["service", "mail"],
						["rm", "false"],
						["rmShown", 1],
						["continue", GMAIL_PAGE],
						["Email", document.getElementById("loginUser").value],
						["Passwd", document.getElementById("loginPass").value]
						];
		if (document.getElementById("remember").getAttribute("checked")=="true") {
			contents.push(["PersistentCookie", "yes"]);
		}

		var login = document.getElementById("loginWindow");
		var button = login.getButton("extra1");
		button.disabled = true;

		var action = function(request) {
			var doc = request.responseText;
			var matches = doc.match(/<meta.+?content\s*=\s*".*?url='(.+?)'/i);
			if (matches) { 
				status.value = localisation.getString("loginSuccess");
				login.removeAttribute("ondialogextra1");
				button.setAttribute("label", localisation.getString("loginClose"));
				button.addEventListener("command",
										function(event) {window.close();}, true);
				window.setTimeout("window.close()",500);
			} else {
				status.value = localisation.getString("loginFailure");
			}
			button.disabled = false;
		}
		EJA_Connection.makeRequest(null, "POST", GMAIL_LOGIN_PAGE, action, contents);
	}
}
